Subject: bug#65602: 30.0.50; eshell-test/{elisp,subcommand}-reset-in-pipeline fails intermittently on macOS

From: Stefan Kangas <[email-masked]>
Date: Thu, 14 Sep 2023 12:14:27 -0700

Jim Porter <[email-masked]> writes:

> Hmm. I pushed a commit to add additional instrumentation to this code
> (ef2bd5e4875). Could you try that out and report the results?

I see more failures now, which might indicate that they are more easily
triggered.  I only did one run so far though.

> You could also try adding something like "(setq eshell-debug-command
> '(form))" to the top of "test/lisp/eshell/eshell-tests-helpers.el", and
> then "rm test/lisp/eshell/*.elc" to force a full recompile of the tests.
> That'll add excessive amounts of logging for Eshell's s-expr
> manipulation, and it might produce something useful.

I have sent the logs to you off-list.

> (Warning that it can also include things like your env vars in the
> logs, so be careful about uploading it.)

Noted, thanks for the heads up.